/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package hb;

import java.util.HashSet;
import java.util.Set;

public class Catalogue {
    // public
    public Catalogue() {
    }
    public Catalogue(String path) {
	this.path = path;
    }
    public Long getId() {
	return id;
    }
    public void setId(Long id) {
	this.id = id;
    }
    public DVD getDvd() {
	return dvd;
    }
    public void setDvd(DVD dvd) {
	this.dvd = dvd;
    }
    public Set<File> getFiles() {
	return files;
    }
    public void setFiles(Set<File> files) {
	this.files = files;
    }
    public Set<Catalogue> getCatalogues() {
        return catalogues;
    }
    public void setCatalogues(Set<Catalogue> catalogues) {
        this.catalogues = catalogues;
    }
    public Catalogue getCatalogue() {
        return catalogue;
    }
    public void setCatalogue(Catalogue catalogue) {
        this.catalogue = catalogue;
    }
    public String getPath() {
	return path;
    }
    public void setPath(String path) {
	this.path = path;
    }
    public void addToDVD(DVD dvd) {
	setDvd(dvd);
	dvd.getCatalogues().add(this);
    }
    public void addToCatalogue(Catalogue catalogue) {
	setCatalogue(catalogue);
	catalogue.getCatalogues().add(this);
    }
    // private
    private Long id;
    private DVD dvd;
    private Set<File> files = new HashSet<File>(); 
    private Set<Catalogue> catalogues = new HashSet<Catalogue>();
    private Catalogue catalogue;
    private String path;
}
