/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package hb;

import java.util.HashSet;
import java.util.Set;

public class DVD {
    // public
    public DVD() {
    }
    public DVD(String name, String description) {
	this.name = name;
	this.description = description;
    }
    public Long getId() {
	return id;
    }
    public void setId(Long id) {
	this.id = id;
    }
    public Set<Tag> getTags() {
	return tags;
    }
    public void setTags(Set<Tag> tags) {
	this.tags = tags;
    }
    public Set<Catalogue> getCatalogues() {
	return catalogues;
    }
    public void setCatalogues(Set<Catalogue> catalogues) {
	this.catalogues = catalogues;
    }
    public String getName() {
	return name;
    }
    public void setName(String name) {
	this.name = name;
    }
    public String getDescription() {
	return description;
    }
    public void setDescription(String description) {
	this.description = description;
    }
    public void addToTag(Tag tag) {
	getTags().add(tag);
	tag.getDvds().add(this);
    }
    public void removeFromTag(Tag tag) {
	getTags().remove(tag);
	tag.getDvds().remove(this);
    }
    public void addToCatalogue(Catalogue cat) {
	getCatalogues().add(cat);
	cat.setDvd(this);
    }
    public void removeFromCatalogue(Catalogue cat) {
	getCatalogues().remove(cat);
	cat.setDvd(null);
    }
    public void addToTC(Tag tag, Catalogue cat) {
	if (tag != null) addToTag(tag);
	if (cat != null) addToCatalogue(cat);
    }
    public void removeFromTC(Tag tag, Catalogue cat) {
	if (tag != null) removeFromTag(tag);
	if (tag != null) removeFromCatalogue(cat);
    }
    // private
    private Long id;
    private String name;
    private String description;
    private Set<Tag> tags = new HashSet<Tag>();
    private Set<Catalogue> catalogues = new HashSet<Catalogue>();
}
