/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package hb;

import java.util.HashSet;
import java.util.Set;

public class Tag {
    // public
    public Tag() {
    }
    public Tag(String name, String description, String image) {
	this.name = name;
	this.description = description;
	this.image = image;
    }
    public Long getId() {
	return id;
    }
    public void setId(Long id) {
	this.id = id;
    }
    public Set<DVD> getDvds() {
	return dvds;
    }
    public void setDvds(Set<DVD> dvds) {
	this.dvds = dvds;
    }
    public String getName() {
	return name;
    }
    public void setName(String name) {
	this.name = name;
    }
    public String getDescription() {
	return description;
    }
    public void setDescription(String description) {
	this.description = description;
    }
    public String getImage() {
	return image;
    }
    public void setImage(String image) {
	this.image = image;
    }
    public void addToDVD(DVD dvd) {
	getDvds().add(dvd);
	dvd.getTags().add(this);
    }
    public void removeFromDVD(DVD dvd) {
	getDvds().remove(dvd);
	dvd.getTags().remove(this);
    }
    // private
    private Long id;
    private Set<DVD> dvds = new HashSet<DVD>();
    private String name;
    private String description;
    private String image;
}
