/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package hb.util;

import java.util.List;

import org.hibernate.Query;
import org.hibernate.Session;

public class MyQuery {
    private Session session;
    private Query query;
    public static MyQuery createQuery(String queryString) {
	MyQuery myQuery = new MyQuery();
	myQuery.session = HibernateUtil.getSessionFactory().openSession();
	myQuery.query = myQuery.session.createQuery(queryString);
	return myQuery;
    }
    public MyQuery setParameter(String name, Object val) {
	query.setParameter(name, val);
	return this;
    }
    public MyQuery setCacheable(boolean cacheable) {
	query.setCacheable(cacheable);
	return this;
    }
    @SuppressWarnings("unchecked")
    public <T> T uniqueResult() {
	session.beginTransaction();
	Object uniqueResult = query.uniqueResult();
	session.getTransaction().commit();
	session.close();
	return (T)uniqueResult;
    }
    @SuppressWarnings("unchecked")
    public <T> List<T> list() {
	session.beginTransaction();
	List<?> listResult = query.list();
	session.getTransaction().commit();
	session.close();
	return (List<T>)listResult;
    }
}
