package pendragon.ui;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.ScrolledComposite;
import org.eclipse.swt.events.ControlAdapter;
import org.eclipse.swt.events.ControlEvent;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import pendragon.Config;

public class TagIconSet extends ScrolledComposite {
    final String TAG = "__Tag";
    private final Composite box;
    public TagIconSet(Composite parent, int style, int columns) {
	super(parent, style | SWT.V_SCROLL | SWT.H_SCROLL);
	box = new Composite(this, SWT.NONE);
	box.setLayout(new GridLayout(columns, true));
	this.setContent(box);
	this.setExpandHorizontal(true);
	this.setExpandVertical(true);
	this.addControlListener(new ControlAdapter() {
	    public void controlResized(ControlEvent e) {
		setMinSize(box.computeSize(SWT.DEFAULT, SWT.DEFAULT));
	    }
	});
    }
    public void addDefults() {
	List<hb.Tag> fromTag = hb.util.MyQuery.createQuery("from Tag").list();
	addTag(fromTag);
    }
    public void addTag(hb.Tag tag) {
	Button button = new Button(box, SWT.CHECK);
	button.setText(tag.getName());
	button.setImage(Config.getTagImage(getDisplay(), tag.getImage()));
	button.setToolTipText(tag.getDescription());
	button.setData(TAG, tag);
    }
    public void addTag(List<hb.Tag> list) {
	for (hb.Tag tag: list) addTag(tag);
    }
    public Set<hb.Tag> getSelected() {
	Set<hb.Tag> set = new HashSet<hb.Tag>();
	for (Control c: box.getChildren()) {
	    Button b = (Button)c;
	    if (b.getSelection()) set.add((hb.Tag)c.getData(TAG));
	}
	if (set.isEmpty()) return null;
	return set;
    }
    public void setSelected(Set<hb.Tag> tags) {
	for (Control c: box.getChildren()) {
	    Button b = (Button)c;
	    for (hb.Tag tag: tags) if (b.getText().equals(tag.getName())) b.setSelection(true);
	}
    }
}
