package pendragon.ui;

import static pendragon.i18n.I18n._;
import org.eclipse.jface.layout.GridDataFactory;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.ProgressBar;
import org.eclipse.swt.widgets.Shell;

public class WaitingDialog extends Dialog {
    private ProgressBar progressBar;
    private boolean canClose = false;
    public WaitingDialog(Shell parent) {
	super(parent);
    }
    public int open(final Runnable runnable) {
        Shell parent = getParent();
        final Shell shell = new Shell(parent, SWT.DIALOG_TRIM | SWT.APPLICATION_MODAL);
        shell.setText(getText());
        shell.setLayout(new GridLayout());
	Label label = new Label(shell, SWT.NONE);
	label.setText(_("Performing the task."));
	progressBar = new ProgressBar(shell, SWT.INDETERMINATE);
	GridDataFactory.swtDefaults().grab(true, true).align(SWT.FILL, SWT.CENTER).applyTo(progressBar);
	shell.setMinimumSize(480, 100);
	shell.addListener(SWT.Close, new Listener() {
	    @Override public void handleEvent(Event event) {
		event.doit = canClose;
	    } 
	});
	shell.pack();
        Thread thread = new Thread() {
	    @Override public void run() {
		runnable.run();
		shell.getDisplay().syncExec(new Runnable() {
		    @Override public void run() {
			canClose = true;
			shell.close();
		    } 
		});
	    }
        };
        thread.start();
        shell.open();
        Display display = parent.getDisplay();
        while (!shell.isDisposed()) {
            if (!display.readAndDispatch()) display.sleep();
        }
        return SWT.OK;
    }
}
