/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package pendragon.ui.app.actions;

import static pendragon.i18n.I18n._;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.window.Window;

import pendragon.ui.common.actions.OpenWindowAction;

public class OpenConfigureWindowAction extends OpenWindowAction {
    public OpenConfigureWindowAction(String text, Window window) {
	super(text, window);
    }
    @Override public void run() {
	super.run();
	if (window.getReturnCode() == Window.OK) MessageDialog.openInformation(null, _("Information"), _("The changes will be visible after program restart."));
    }
}
