/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package pendragon.ui.mainview;

import org.eclipse.jface.viewers.ILazyContentProvider;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.jface.viewers.Viewer;

public class MainTableContentProvider implements ILazyContentProvider {
    private TableViewer viewer;
    private MainModel[] elements;
    public MainTableContentProvider(TableViewer viewer) {
	this.viewer = viewer;
    }
    @Override public void updateElement(int index) {
	viewer.replace(elements[index], index);
    }
    @Override public void dispose() {
    }
    @Override public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
	this.elements = (MainModel[])newInput;
    }
}
