/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package pendragon.ui.tagview;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

public class TagLabelProvider extends LabelProvider implements ITableLabelProvider {
    @Override public String getColumnText(Object element, int columnIndex) {
	TagModel model = (TagModel)element;
	switch (columnIndex) {
	    case 0: return null;
	    case 1: return model.getName();
	    case 2: return "" + model.getCollectionSize();
	}
	return null;
    }
    @Override public boolean isLabelProperty(Object element, String property) {
	return false;
    }
    @Override public Image getColumnImage(Object element, int columnIndex) {
	return null;
    }
}
