/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2008 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package pendragon.ui.wizards;

import static pendragon.i18n.I18n._;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;

import pendragon.Tools;

public class RemoveDiskWizard extends MyWizard {
    private hb.DVD dvd;
    boolean canFinish = true;
    boolean canCancel = true;
    private FirstPage firstPage = new FirstPage(_("Removing disk from database."));
    private ProgressWizardPage secondPage = new ProgressWizardPage(_("Removing disk from database."));
    private EmptyWizardPage thirdPage = new EmptyWizardPage(_("Removing disk from database."));
    public RemoveDiskWizard(hb.DVD dvd) {
	super();
	this.dvd = dvd;
    }
    @Override public void addPages() {
	addPage(firstPage);
	addPage(secondPage);
	addPage(thirdPage);
    }
    @Override public boolean canFinish() {
	return canFinish;
    }
    @Override public boolean canCancel() {
	return canCancel;
    }
    @Override public boolean performFinish() {
	if (getContainer().getCurrentPage() == thirdPage) return true;
	canFinish = false;
	canCancel = false;
	getContainer().updateButtons();
	getContainer().showPage(secondPage);
	Tools.removeFromDatabase(dvd, secondPage);
	canFinish = true;
	getContainer().updateButtons();
	getContainer().showPage(thirdPage);
	thirdPage.setMessage(_("The disk has been deleted."));
	return false;
    }
    private class FirstPage extends WizardPage {
	protected FirstPage(String pageName) {
	    super(pageName);
	    setTitle(pageName);
	}
	@Override public void createControl(Composite parent) {
	    Composite composite = new Composite(parent, SWT.NONE);
	    composite.setLayout(new GridLayout(2, false));
	    Label label = new Label(composite, SWT.NONE);
	    label.setImage(Display.getDefault().getSystemImage(SWT.ICON_QUESTION));
	    label = new Label(composite, SWT.NONE);
	    label.setText(_("Do you want do delete this disk ?"));
	    setControl(composite);
	}
	@Override public boolean canFlipToNextPage() {
	    return false;
	}
    }
}
